com.icesoft.faces.facelets.component.expandabletable

## Interface ExpandableRecordInterface

- All Known Implementing Classes:
    ExpandableRecord

      public interface ExpandableRecordInterface

  Interface that defines the methods used for the expandable table custom component.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildRecord(ExpandableRecord expandableRecord)` Adds a child sales record to this sales group.
    `void` | `contractNodeAction()` Utility method to remove all the child nodes from the parent dataTable list.
    `void` | `expandNodeAction()` Utility method to add all child nodes to the parent dataTable list.
    `boolean` | `isRenderImage()` Gets the renderable state of the contract/expand image toggle.
    `void` | `removeChildRecord(ExpandableRecord expandableRecord)` Removes the specified child record from this group.
    `void` | `toggleSubGroupAction(javax.faces.event.ActionEvent event)` Toggles the expanded state of this record.

- - ### Method Detail

    - #### isRenderImage

          boolean isRenderImage()

      Gets the renderable state of the contract/expand image toggle.
      Returns:
        true if images shoulc be drawn; otherwise, false.

    - #### toggleSubGroupAction

          void toggleSubGroupAction(javax.faces.event.ActionEvent event)

      Toggles the expanded state of this record.
      Parameters:
        `event` - JSF action event.

    - #### addChildRecord

          void addChildRecord(ExpandableRecord expandableRecord)

      Adds a child sales record to this sales group.
      Parameters:
        `expandableRecord` - child record to add to this record.

    - #### removeChildRecord

          void removeChildRecord(ExpandableRecord expandableRecord)

      Removes the specified child record from this group.
      Parameters:
        `expandableRecord` - child record to remove.

    - #### expandNodeAction

          void expandNodeAction()

      Utility method to add all child nodes to the parent dataTable list.

    - #### contractNodeAction

          void contractNodeAction()

      Utility method to remove all the child nodes from the parent dataTable list.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.